# RPM Spec file for mod_autodiscover

Name:      mod_autodiscover
Version:   1.0.0
Release:   1%{?dist}
Summary:   Apache Autodiscover module
License:   ASL 2.0
Group:     System Environment/Daemons
Source:    https://github.com/minfrin/%{name}/releases/download/%{name}-%{version}/%{name}-%{version}.tar.bz2
Url:       https://github.com/minfrin/%{name}
BuildRequires: gcc, pkgconfig(apr-1), pkgconfig(apr-util-1), (httpd-devel or apache-devel or apache2-devel)
Requires: (httpd or apache or apache2)

%if 0%{?suse_version}
%define moduledir %{_libdir}/apache2
%else
%define moduledir %{_libdir}/httpd/modules
%endif

%description
The Apache mod_autodiscover module allows parsing of a Microsoft Autodiscover
POST request.

%prep
%setup -q
%build
%configure
%make_build

%install
%make_install

%files
%{moduledir}/%{name}.so


